uniform mat4 modelViewProj;
uniform vec4 lightingColor;

void main()
{
    gl_FrontColor = lightingColor;

    gl_Position = modelViewProj * vec4(gl_Vertex.x, gl_Vertex.y, gl_Vertex.z, 1.0);

    gl_TexCoord[0] = gl_MultiTexCoord0;
}
